import { declare } from '@babel/helper-plugin-utils';
import regeneratorTransform from 'regenerator-transform';

var index = declare(({
  types: t,
  assertVersion
}) => {
  assertVersion("8.0.0-alpha.10");
  return {
    name: "transform-regenerator",
    inherits: regeneratorTransform.default,
    visitor: {
      CallExpression(path) {
        const callee = path.get("callee");
        if (!callee.isMemberExpression()) return;
        const obj = callee.get("object");
        if (obj.isIdentifier({
          name: "regeneratorRuntime"
        })) {
          const helper = this.addHelper("regeneratorRuntime");
          obj.replaceWith(t.callExpression(helper, []));
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
